Index: LMDZ5/trunk/libf/phylmd/1DUTILS.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/1DUTILS.h	(revision 2018)
+++ LMDZ5/trunk/libf/phylmd/1DUTILS.h	(revision 2019)
@@ -5,8 +5,8 @@
 ! $Id: conf_unicol.F 1279 2010-08-04 17:20:56Z lahellec $
 !
-c
-c
+!
+!
       SUBROUTINE conf_unicol
-c
+!
 #ifdef CPP_IOIPSL
       use IOIPSL
@@ -16,9 +16,9 @@
 #endif
       IMPLICIT NONE
-c-----------------------------------------------------------------------
-c     Auteurs :   A. Lahellec  .
-c
-c   Declarations :
-c   --------------
+!-----------------------------------------------------------------------
+!     Auteurs :   A. Lahellec  .
+!
+!   Declarations :
+!   --------------
 
 #include "compar1d.h"
@@ -28,19 +28,19 @@
 #include "fcg_racmo.h"
 #include "iniprint.h"
-c
-c
-c   local:
-c   ------
-
-c      CHARACTER ch1*72,ch2*72,ch3*72,ch4*12
+!
+!
+!   local:
+!   ------
+
+!      CHARACTER ch1*72,ch2*72,ch3*72,ch4*12
       
-c
-c  -------------------------------------------------------------------
-c
-c      .........    Initilisation parametres du lmdz1D      ..........
-c
-c---------------------------------------------------------------------
-c   initialisations:
-c   ----------------
+!
+!  -------------------------------------------------------------------
+!
+!      .........    Initilisation parametres du lmdz1D      ..........
+!
+!---------------------------------------------------------------------
+!   initialisations:
+!   ----------------
 
 !Config  Key  = lunout
@@ -60,10 +60,10 @@
 !Config  Help = Niveau d'impression pour le débogage
 !Config         (0 = minimum d'impression)
-c      prt_level = 0
-c      CALL getin('prt_level',prt_level)
-
-c-----------------------------------------------------------------------
-c  Parametres de controle du run:
-c-----------------------------------------------------------------------
+!      prt_level = 0
+!      CALL getin('prt_level',prt_level)
+
+!-----------------------------------------------------------------------
+!  Parametres de controle du run:
+!-----------------------------------------------------------------------
 
 !Config  Key  = restart
@@ -71,5 +71,5 @@
 !Config  Def  = false
 !Config  Help = les fichiers restart doivent etre renomme en start
-       restart = .FALSE.
+       restart =.false.
        CALL getin('restart',restart)
 
@@ -137,5 +137,5 @@
 !Config  Def  = false
 !Config  Help = forcage ou non par les flux de surface
-       ok_flux_surf = .FALSE.
+       ok_flux_surf =.false.
        CALL getin('ok_flux_surf',ok_flux_surf)
 
@@ -319,5 +319,5 @@
       write(lunout,*)' +++++++++++++++++++++++++++++++++++++++'
       write(lunout,*)
-c
+!
       RETURN
       END
@@ -325,6 +325,6 @@
 ! $Id: dyn1deta0.F 1279 2010/07/30 A Lahellec$
 !
-c
-      SUBROUTINE dyn1deta0(fichnom,plev,play,phi,phis,presnivs,
+!
+      SUBROUTINE dyn1deta0(fichnom,plev,play,phi,phis,presnivs,                 &
      &                          ucov,vcov,temp,q,omega2)
       USE dimphy
@@ -339,9 +339,9 @@
 
       IMPLICIT NONE
-c=======================================================
-c Ecriture du fichier de redemarrage sous format NetCDF
-c=======================================================
-c   Declarations:
-c   -------------
+!=======================================================
+! Ecriture du fichier de redemarrage sous format NetCDF
+!=======================================================
+!   Declarations:
+!   -------------
 #include "dimensions.h"
 #include "comconst.h"
@@ -351,17 +351,17 @@
 #include "netcdf.inc"
 
-c   Arguments:
-c   ----------
+!   Arguments:
+!   ----------
       CHARACTER*(*) fichnom
-cAl1 plev tronque pour .nc mais plev(klev+1):=0
+!Al1 plev tronque pour .nc mais plev(klev+1):=0
       real :: plev(klon,klev),play (klon,klev),phi(klon,klev)
       real :: presnivs(klon,klev)
       real :: ucov(klon,klev),vcov(klon,klev),temp(klon,klev)
       real :: q(klon,klev,nqtot),omega2(klon,klev)
-c      real :: ug(klev),vg(klev),fcoriolis
+!      real :: ug(klev),vg(klev),fcoriolis
       real :: phis(klon) 
 
-c   Variables locales pour NetCDF:
-c   ------------------------------
+!   Variables locales pour NetCDF:
+!   ------------------------------
       INTEGER iq
       INTEGER length
@@ -383,7 +383,7 @@
       print*,'after open startphy ',fichnom,nmq
 
-c
-c Lecture des parametres de controle:
-c
+!
+! Lecture des parametres de controle:
+!
       CALL get_var("controle",tab_cntrl)
        
@@ -394,48 +394,48 @@
       day_ref    = tab_cntrl(4)
       annee_ref  = tab_cntrl(5)
-c      rad        = tab_cntrl(6)
-c      omeg       = tab_cntrl(7)
-c      g          = tab_cntrl(8)
-c      cpp        = tab_cntrl(9)
-c      kappa      = tab_cntrl(10)
-c      daysec     = tab_cntrl(11)
-c      dtvr       = tab_cntrl(12)
-c      etot0      = tab_cntrl(13)
-c      ptot0      = tab_cntrl(14)
-c      ztot0      = tab_cntrl(15)
-c      stot0      = tab_cntrl(16)
-c      ang0       = tab_cntrl(17)
-c      pa         = tab_cntrl(18)
-c      preff      = tab_cntrl(19)
-c
-c      clon       = tab_cntrl(20)
-c      clat       = tab_cntrl(21)
-c      grossismx  = tab_cntrl(22)
-c      grossismy  = tab_cntrl(23)
-c
+!      rad        = tab_cntrl(6)
+!      omeg       = tab_cntrl(7)
+!      g          = tab_cntrl(8)
+!      cpp        = tab_cntrl(9)
+!      kappa      = tab_cntrl(10)
+!      daysec     = tab_cntrl(11)
+!      dtvr       = tab_cntrl(12)
+!      etot0      = tab_cntrl(13)
+!      ptot0      = tab_cntrl(14)
+!      ztot0      = tab_cntrl(15)
+!      stot0      = tab_cntrl(16)
+!      ang0       = tab_cntrl(17)
+!      pa         = tab_cntrl(18)
+!      preff      = tab_cntrl(19)
+!
+!      clon       = tab_cntrl(20)
+!      clat       = tab_cntrl(21)
+!      grossismx  = tab_cntrl(22)
+!      grossismy  = tab_cntrl(23)
+!
       IF ( tab_cntrl(24).EQ.1. )  THEN
-        fxyhypb  = . TRUE .
-c        dzoomx   = tab_cntrl(25)
-c        dzoomy   = tab_cntrl(26)
-c        taux     = tab_cntrl(28)
-c        tauy     = tab_cntrl(29)
+        fxyhypb  =.true.
+!        dzoomx   = tab_cntrl(25)
+!        dzoomy   = tab_cntrl(26)
+!        taux     = tab_cntrl(28)
+!        tauy     = tab_cntrl(29)
       ELSE
-        fxyhypb = . FALSE .
-        ysinus  = . FALSE .
-        IF( tab_cntrl(27).EQ.1. ) ysinus = . TRUE. 
+        fxyhypb = .false.
+        ysinus  = .false.
+        IF( tab_cntrl(27).EQ.1. ) ysinus =.true. 
       ENDIF
 
       day_ini = tab_cntrl(30)
       itau_dyn = tab_cntrl(31)
-c   .................................................................
-c
-c
-c      PRINT*,'rad,omeg,g,cpp,kappa',rad,omeg,g,cpp,kappa
-cAl1
-       Print*,'day_ref,annee_ref,day_ini,itau_dyn',
+!   .................................................................
+!
+!
+!      PRINT*,'rad,omeg,g,cpp,kappa',rad,omeg,g,cpp,kappa
+!Al1
+       Print*,'day_ref,annee_ref,day_ini,itau_dyn',                         &
      &              day_ref,annee_ref,day_ini,itau_dyn
 
-c  Lecture des champs
-c
+!  Lecture des champs
+!
       plev(1,klev+1)=0.
       CALL get_field("plev",plev,found)
@@ -460,12 +460,10 @@
       Do iq=1,nqtot
         CALL get_field("q"//nmq(iq),q(:,:,iq),found)
-        IF (.NOT. found)
-     &  PRINT*, modname//'Le champ <q'//nmq//'> est absent'
+        IF (.NOT.found)PRINT*, modname//'Le champ <q'//nmq//'> est absent'
       EndDo
 
       CALL close_startphy
-      print*,' close startphy'
-     .      ,fichnom,play(1,1),play(1,klev),temp(1,klev)
-c
+      print*,' close startphy',fichnom,play(1,1),play(1,klev),temp(1,klev)
+!
       RETURN
       END
@@ -473,6 +471,6 @@
 ! $Id: dyn1dredem.F 1279 2010/07/29 A Lahellec$
 !
-c
-      SUBROUTINE dyn1dredem(fichnom,plev,play,phi,phis,presnivs,
+!
+      SUBROUTINE dyn1dredem(fichnom,plev,play,phi,phis,presnivs,           &
      &                          ucov,vcov,temp,q,omega2)
       USE dimphy
@@ -485,9 +483,9 @@
 
       IMPLICIT NONE
-c=======================================================
-c Ecriture du fichier de redemarrage sous format NetCDF
-c=======================================================
-c   Declarations:
-c   -------------
+!=======================================================
+! Ecriture du fichier de redemarrage sous format NetCDF
+!=======================================================
+!   Declarations:
+!   -------------
 #include "dimensions.h"
 #include "comconst.h"
@@ -497,8 +495,8 @@
 #include "netcdf.inc"
 
-c   Arguments:
-c   ----------
+!   Arguments:
+!   ----------
       CHARACTER*(*) fichnom
-cAl1 plev tronque pour .nc mais plev(klev+1):=0
+!Al1 plev tronque pour .nc mais plev(klev+1):=0
       real :: plev(klon,klev),play (klon,klev),phi(klon,klev)
       real :: presnivs(klon,klev)
@@ -506,9 +504,9 @@
       real :: q(klon,klev,nqtot)
       real :: omega2(klon,klev),rho(klon,klev+1)
-c      real :: ug(klev),vg(klev),fcoriolis
+!      real :: ug(klev),vg(klev),fcoriolis
       real :: phis(klon) 
 
-c   Variables locales pour NetCDF:
-c   ------------------------------
+!   Variables locales pour NetCDF:
+!   ------------------------------
       INTEGER nid
       INTEGER ierr
@@ -520,5 +518,5 @@
       character*20 modname
       character*80 abort_message
-c
+!
       INTEGER nb
       SAVE nb
@@ -554,30 +552,30 @@
        tab_cntrl(11) = daysec
        tab_cntrl(12) = dtvr
-c       tab_cntrl(13) = etot0
-c       tab_cntrl(14) = ptot0
-c       tab_cntrl(15) = ztot0
-c       tab_cntrl(16) = stot0
-c       tab_cntrl(17) = ang0
-c       tab_cntrl(18) = pa
-c       tab_cntrl(19) = preff
-c
-c    .....    parametres  pour le zoom      ......   
-
-c       tab_cntrl(20)  = clon
-c       tab_cntrl(21)  = clat
-c       tab_cntrl(22)  = grossismx
-c       tab_cntrl(23)  = grossismy
-c
+!       tab_cntrl(13) = etot0
+!       tab_cntrl(14) = ptot0
+!       tab_cntrl(15) = ztot0
+!       tab_cntrl(16) = stot0
+!       tab_cntrl(17) = ang0
+!       tab_cntrl(18) = pa
+!       tab_cntrl(19) = preff
+!
+!    .....    parametres  pour le zoom      ......   
+
+!       tab_cntrl(20)  = clon
+!       tab_cntrl(21)  = clat
+!       tab_cntrl(22)  = grossismx
+!       tab_cntrl(23)  = grossismy
+!
       IF ( fxyhypb )   THEN
        tab_cntrl(24) = 1.
-c       tab_cntrl(25) = dzoomx
-c       tab_cntrl(26) = dzoomy
+!       tab_cntrl(25) = dzoomx
+!       tab_cntrl(26) = dzoomy
        tab_cntrl(27) = 0.
-c       tab_cntrl(28) = taux
-c       tab_cntrl(29) = tauy
+!       tab_cntrl(28) = taux
+!       tab_cntrl(29) = tauy
       ELSE
        tab_cntrl(24) = 0.
-c       tab_cntrl(25) = dzoomx
-c       tab_cntrl(26) = dzoomy
+!       tab_cntrl(25) = dzoomx
+!       tab_cntrl(26) = dzoomy
        tab_cntrl(27) = 0.
        tab_cntrl(28) = 0.
@@ -585,17 +583,17 @@
        IF( ysinus )  tab_cntrl(27) = 1.
       ENDIF
-CAl1 iday_end -> day_end
+!Al1 iday_end -> day_end
        tab_cntrl(30) = FLOAT(day_end)
        tab_cntrl(31) = FLOAT(itau_dyn + itaufin)
-c
+!
       CALL put_var("controle","Param. de controle Dyn1D",tab_cntrl)
-c
-
-c  Ecriture/extension de la coordonnee temps
+!
+
+!  Ecriture/extension de la coordonnee temps
 
       nb = nb + 1
 
-c  Ecriture des champs
-c
+!  Ecriture des champs
+!
       CALL put_field("plev","p interfaces sauf la nulle",plev)
       CALL put_field("play","",play)
@@ -609,10 +607,10 @@
 
       Do iq=1,nqtot
-        CALL put_field("q"//nmq(iq),"eau vap ou condens et traceurs",
-     .                                                      q(:,:,iq))
+        CALL put_field("q"//nmq(iq),"eau vap ou condens et traceurs",           &
+     &                                                      q(:,:,iq))
       EndDo
       CALL close_restartphy
 
-c
+!
       RETURN
       END
@@ -770,6 +768,6 @@
 !   -------
  
-      IF(ngrid.NE.2+(jm-2)*(im-1).AND.ngrid.NE.1)
-     s    STOP 'probleme de dim'
+      IF(ngrid.NE.2+(jm-2)*(im-1).AND.ngrid.NE.1)                          &
+     &    STOP 'probleme de dim'
 !   traitement des poles
       CALL SCOPY(nfield,pdyn,im*jm,pfi,ngrid)
@@ -829,6 +827,6 @@
       pi=2.*ASIN(1.)
  
-      OPEN(99,file='sigma.def',status='old',form='formatted',
-     s   iostat=ierr)
+      OPEN(99,file='sigma.def',status='old',form='formatted',                   &
+     &   iostat=ierr)
  
 !-----------------------------------------------------------------------
@@ -850,7 +848,7 @@
  
        DO 1  l = 1, llm
-       dsig(l) = (alpha+(1.-alpha)*exp(-beta*(llm-l)))*
-     $          ( (tanh(gama*l)/tanh(gama*llm))**np +
-     $            (1.-l/FLOAT(llm))*delta )
+       dsig(l) = (alpha+(1.-alpha)*exp(-beta*(llm-l)))*                    &
+     &          ( (tanh(gama*l)/tanh(gama*llm))**np +                      &
+     &            (1.-l/FLOAT(llm))*delta )
    1   CONTINUE
  
@@ -1005,6 +1003,6 @@
 
 
-       SUBROUTINE advect_va(llm,omega,d_t_va,d_q_va,d_u_va,d_v_va,
-     s                q,temp,u,v,play)
+       SUBROUTINE advect_va(llm,omega,d_t_va,d_q_va,d_u_va,d_v_va,              &
+     &                q,temp,u,v,play)
 !itlmd 
 !----------------------------------------------------------------------
@@ -1031,24 +1029,19 @@
 !si omgup pour la couche 1, alors tendance nulle
         omgdown=max(omega(2),0.0)
-        alpha = rkappa*temp(l)*(1.+q(l,1)*rv/rd)/(play(l)*
-     &           (1.+q(l,1)))
-        d_t_va(l)= alpha*(omgdown)- 
-     &              omgdown*(temp(l)-temp(l+1))
-     &              /(play(l)-play(l+1))              
-
-        d_q_va(l,:)= -omgdown*(q(l,:)-q(l+1,:))
-     &              /(play(l)-play(l+1))              
-
-        d_u_va(l)= -omgdown*(u(l)-u(l+1))
-     &              /(play(l)-play(l+1))              
-        d_v_va(l)= -omgdown*(v(l)-v(l+1))
-     &              /(play(l)-play(l+1))              
+        alpha = rkappa*temp(l)*(1.+q(l,1)*rv/rd)/(play(l)*(1.+q(l,1)))
+        d_t_va(l)= alpha*(omgdown)-omgdown*(temp(l)-temp(l+1))             &
+     &       /(play(l)-play(l+1))
+
+        d_q_va(l,:)= -omgdown*(q(l,:)-q(l+1,:))/(play(l)-play(l+1))              
+
+        d_u_va(l)= -omgdown*(u(l)-u(l+1))/(play(l)-play(l+1))              
+        d_v_va(l)= -omgdown*(v(l)-v(l+1))/(play(l)-play(l+1))              
 
         
        elseif(l.eq.llm) then
         omgup=min(omega(l),0.0)
-        alpha = rkappa*temp(l)*(1.+q(l,1)*rv/rd)/(play(l)*
-     &           (1.+q(l,1)))
-        d_t_va(l)= alpha*(omgup)- 
+        alpha = rkappa*temp(l)*(1.+q(l,1)*rv/rd)/(play(l)*(1.+q(l,1)))
+        d_t_va(l)= alpha*(omgup)-                                          &
+
 !bug?     &              omgup*(temp(l-1)-temp(l))/(play(l-1)-plev(l))
      &              omgup*(temp(l-1)-temp(l))/(play(l-1)-play(l))
@@ -1060,21 +1053,19 @@
         omgup=min(omega(l),0.0)
         omgdown=max(omega(l+1),0.0)
-        alpha = rkappa*temp(l)*(1.+q(l,1)*rv/rd)/(play(l)*
-     &           (1.+q(l,1)))
-        d_t_va(l)= alpha*(omgup+omgdown)- 
-     &              omgdown*(temp(l)-temp(l+1))
-     &              /(play(l)-play(l+1))-              
+        alpha = rkappa*temp(l)*(1.+q(l,1)*rv/rd)/(play(l)*(1.+q(l,1)))
+        d_t_va(l)= alpha*(omgup+omgdown)-omgdown*(temp(l)-temp(l+1))       &
+     &              /(play(l)-play(l+1))-                                  &
 !bug?     &              omgup*(temp(l-1)-temp(l))/(play(l-1)-plev(l))
      &              omgup*(temp(l-1)-temp(l))/(play(l-1)-play(l))
 !      print*, '  ??? '
 
-        d_q_va(l,:)= -omgdown*(q(l,:)-q(l+1,:))
-     &              /(play(l)-play(l+1))-              
-     &              omgup*(q(l-1,:)-q(l,:))/(play(l-1)-play(l))
-        d_u_va(l)= -omgdown*(u(l)-u(l+1))
-     &              /(play(l)-play(l+1))-              
-     &              omgup*(u(l-1)-u(l))/(play(l-1)-play(l))
-        d_v_va(l)= -omgdown*(v(l)-v(l+1))
-     &              /(play(l)-play(l+1))-              
+        d_q_va(l,:)= -omgdown*(q(l,:)-q(l+1,:))                            &
+     &              /(play(l)-play(l+1))-                                  &
+     &              omgup*(q(l-1,:)-q(l,:))/(play(l-1)-play(l)) 
+        d_u_va(l)= -omgdown*(u(l)-u(l+1))                                  &
+     &              /(play(l)-play(l+1))-                                  &
+     &              omgup*(u(l-1)-u(l))/(play(l-1)-play(l)) 
+        d_v_va(l)= -omgdown*(v(l)-v(l+1))                                  &
+     &              /(play(l)-play(l+1))-                                  &
      &              omgup*(v(l-1)-v(l))/(play(l-1)-play(l))
        
@@ -1086,6 +1077,6 @@
         end
 !       SUBROUTINE lstendH(llm,omega,d_t_va,d_q_va,d_u_va,d_v_va,
-       SUBROUTINE lstendH(llm,nqtot,omega,d_t_va,d_q_va,
-     !                q,temp,u,v,play)
+       SUBROUTINE lstendH(llm,nqtot,omega,d_t_va,d_q_va,                        &
+     &                q,temp,u,v,play)
 !itlmd 
 !----------------------------------------------------------------------
@@ -1143,6 +1134,5 @@
 !      d_v_va(k)  = -omdn*dvdp(k)-omup*dvdp(k-1)
       d_q_va(k,1)= -omdn*dqdp(k)-omup*dqdp(k-1)
-      d_t_va(k)  = -omdn*dtdp(k)-omup*dtdp(k-1)
-     :              +(omup+omdn)*cor(k)
+      d_t_va(k)  = -omdn*dtdp(k)-omup*dtdp(k-1)+(omup+omdn)*cor(k)
       enddo
 
@@ -1170,12 +1160,12 @@
 
 !======================================================================
-      SUBROUTINE read_togacoare(fich_toga,nlev_toga,nt_toga
-     :             ,ts_toga,plev_toga,t_toga,q_toga,u_toga,v_toga,w_toga
-     :             ,ht_toga,vt_toga,hq_toga,vq_toga)
+      SUBROUTINE read_togacoare(fich_toga,nlev_toga,nt_toga                     &
+     &             ,ts_toga,plev_toga,t_toga,q_toga,u_toga,v_toga,w_toga        &
+     &             ,ht_toga,vt_toga,hq_toga,vq_toga)
       implicit none
 
-c-------------------------------------------------------------------------
-c Read TOGA-COARE forcing data 
-c-------------------------------------------------------------------------
+!-------------------------------------------------------------------------
+! Read TOGA-COARE forcing data 
+!-------------------------------------------------------------------------
 
       integer nlev_toga,nt_toga
@@ -1207,7 +1197,7 @@
 
        do k = 1, nlev_toga
-         read(21,230) plev_toga(k,ip), t_toga(k,ip), q_toga(k,ip)
-     :       ,u_toga(k,ip), v_toga(k,ip), w_toga(k,ip)
-     :       ,ht_toga(k,ip), vt_toga(k,ip), hq_toga(k,ip), vq_toga(k,ip)
+         read(21,230) plev_toga(k,ip), t_toga(k,ip), q_toga(k,ip)          &
+     &       ,u_toga(k,ip), v_toga(k,ip), w_toga(k,ip)                     &
+     &       ,ht_toga(k,ip), vt_toga(k,ip), hq_toga(k,ip), vq_toga(k,ip)
 
 ! conversion in SI units:
@@ -1233,11 +1223,11 @@
           end
 
-c-------------------------------------------------------------------------
+!-------------------------------------------------------------------------
       SUBROUTINE read_sandu(fich_sandu,nlev_sandu,nt_sandu,ts_sandu)
       implicit none
 
-c-------------------------------------------------------------------------
-c Read I.SANDU case forcing data
-c-------------------------------------------------------------------------
+!-------------------------------------------------------------------------
+! Read I.SANDU case forcing data
+!-------------------------------------------------------------------------
 
       integer nlev_sandu,nt_sandu
@@ -1269,12 +1259,12 @@
 
 !=====================================================================
-c-------------------------------------------------------------------------
-      SUBROUTINE read_astex(fich_astex,nlev_astex,nt_astex,div_astex,
-     : ts_astex,ug_astex,vg_astex,ufa_astex,vfa_astex)
+!-------------------------------------------------------------------------
+      SUBROUTINE read_astex(fich_astex,nlev_astex,nt_astex,div_astex,      &
+     & ts_astex,ug_astex,vg_astex,ufa_astex,vfa_astex)
       implicit none
 
-c-------------------------------------------------------------------------
-c Read Astex case forcing data
-c-------------------------------------------------------------------------
+!-------------------------------------------------------------------------
+! Read Astex case forcing data
+!-------------------------------------------------------------------------
 
       integer nlev_astex,nt_astex
@@ -1297,9 +1287,9 @@
       read(21,'(a)')
       read(21,'(a)')
-      read(21,223) iy, im, id, ih, div_astex(ip),ts_astex(ip),
-     :ug_astex(ip),vg_astex(ip),ufa_astex(ip),vfa_astex(ip)
+      read(21,223) iy, im, id, ih, div_astex(ip),ts_astex(ip),             &
+     &ug_astex(ip),vg_astex(ip),ufa_astex(ip),vfa_astex(ip)
       ts_astex(ip)=ts_astex(ip)+273.15
-      print *,'ts=',iy,im,id,ih,ip,div_astex(ip),ts_astex(ip),
-     :ug_astex(ip),vg_astex(ip),ufa_astex(ip),vg_astex(ip)
+      print *,'ts=',iy,im,id,ih,ip,div_astex(ip),ts_astex(ip),             &
+     &ug_astex(ip),vg_astex(ip),ufa_astex(ip),vg_astex(ip)
       enddo
       close(21)
@@ -1310,7 +1300,7 @@
           end
 !=====================================================================
-      subroutine read_twpice(fich_twpice,nlevel,ntime
-     :     ,T_srf,plev,T,q,u,v,omega
-     :     ,T_adv_h,T_adv_v,q_adv_h,q_adv_v)
+      subroutine read_twpice(fich_twpice,nlevel,ntime                       &
+     &     ,T_srf,plev,T,q,u,v,omega                                       &
+     &     ,T_adv_h,T_adv_v,q_adv_h,q_adv_v)
 
 !program reading forcings of the TWP-ICE experiment
@@ -1792,9 +1782,9 @@
 !=====================================================================
 
-       SUBROUTINE interp_sandu_vertical(play,nlev_sandu,plev_prof
-     :         ,t_prof,thl_prof,q_prof,u_prof,v_prof,w_prof
-     :         ,omega_prof,o3mmr_prof
-     :         ,t_mod,thl_mod,q_mod,u_mod,v_mod,w_mod
-     :         ,omega_mod,o3mmr_mod,mxcalc)
+       SUBROUTINE interp_sandu_vertical(play,nlev_sandu,plev_prof          &
+     &         ,t_prof,thl_prof,q_prof,u_prof,v_prof,w_prof                &
+     &         ,omega_prof,o3mmr_prof                                      &
+     &         ,t_mod,thl_mod,q_mod,u_mod,v_mod,w_mod                      &
+     &         ,omega_mod,o3mmr_mod,mxcalc)
 
        implicit none
@@ -1802,7 +1792,7 @@
 #include "dimensions.h"
 
-c-------------------------------------------------------------------------
-c Vertical interpolation of SANDUREF forcing data onto model levels
-c-------------------------------------------------------------------------
+!-------------------------------------------------------------------------
+! Vertical interpolation of SANDUREF forcing data onto model levels
+!-------------------------------------------------------------------------
 
        integer nlevmax
@@ -1838,6 +1828,5 @@
 
          do k = 1, nlev_sandu-1
-          if (play(l).le.plev_prof(k)
-     :       .and. play(l).gt.plev_prof(k+1)) then
+          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) then
             k1=k
             k2=k+1
@@ -1860,8 +1849,6 @@
          v_mod(l)= v_prof(k2) - frac*(v_prof(k2)-v_prof(k1))
          w_mod(l)= w_prof(k2) - frac*(w_prof(k2)-w_prof(k1))
-         omega_mod(l)=omega_prof(k2)-
-     :      frac*(omega_prof(k2)-omega_prof(k1))
-         o3mmr_mod(l)=o3mmr_prof(k2)-
-     :      frac*(o3mmr_prof(k2)-o3mmr_prof(k1))
+         omega_mod(l)=omega_prof(k2)-frac*(omega_prof(k2)-omega_prof(k1))
+         o3mmr_mod(l)=o3mmr_prof(k2)-frac*(o3mmr_prof(k2)-o3mmr_prof(k1))
 
          else !play>plev_prof(1)
@@ -1884,5 +1871,5 @@
         else ! above max altitude of forcing file
 
-cjyg
+!jyg
          fact=20.*(plev_prof(nlev_sandu)-play(l))/plev_prof(nlev_sandu) !jyg
          fact = max(fact,0.)                                           !jyg
@@ -1909,9 +1896,9 @@
           end
 !=====================================================================
-       SUBROUTINE interp_astex_vertical(play,nlev_astex,plev_prof
-     :         ,t_prof,thl_prof,qv_prof,ql_prof,qt_prof,u_prof,v_prof
-     :         ,w_prof,tke_prof,o3mmr_prof
-     :         ,t_mod,thl_mod,qv_mod,ql_mod,qt_mod,u_mod,v_mod,w_mod
-     :         ,tke_mod,o3mmr_mod,mxcalc)
+       SUBROUTINE interp_astex_vertical(play,nlev_astex,plev_prof          &
+     &         ,t_prof,thl_prof,qv_prof,ql_prof,qt_prof,u_prof,v_prof      &
+     &         ,w_prof,tke_prof,o3mmr_prof                                 &
+     &         ,t_mod,thl_mod,qv_mod,ql_mod,qt_mod,u_mod,v_mod,w_mod       &
+     &         ,tke_mod,o3mmr_mod,mxcalc)
 
        implicit none
@@ -1919,7 +1906,7 @@
 #include "dimensions.h"
 
-c-------------------------------------------------------------------------
-c Vertical interpolation of Astex forcing data onto model levels
-c-------------------------------------------------------------------------
+!-------------------------------------------------------------------------
+! Vertical interpolation of Astex forcing data onto model levels
+!-------------------------------------------------------------------------
 
        integer nlevmax
@@ -1956,6 +1943,5 @@
 
          do k = 1, nlev_astex-1
-          if (play(l).le.plev_prof(k)
-     :       .and. play(l).gt.plev_prof(k+1)) then
+          if (play(l).le.plev_prof(k).and. play(l).gt.plev_prof(k+1)) then
             k1=k
             k2=k+1
@@ -1981,6 +1967,5 @@
          w_mod(l)= w_prof(k2) - frac*(w_prof(k2)-w_prof(k1))
          tke_mod(l)= tke_prof(k2) - frac*(tke_prof(k2)-tke_prof(k1))
-         o3mmr_mod(l)=o3mmr_prof(k2)-
-     :      frac*(o3mmr_prof(k2)-o3mmr_prof(k1))
+         o3mmr_mod(l)=o3mmr_prof(k2)-frac*(o3mmr_prof(k2)-o3mmr_prof(k1))
 
          else !play>plev_prof(1)
@@ -2005,5 +1990,5 @@
         else ! above max altitude of forcing file
 
-cjyg
+!jyg
          fact=20.*(plev_prof(nlev_astex)-play(l))/plev_prof(nlev_astex) !jyg
          fact = max(fact,0.)                                           !jyg
@@ -2033,12 +2018,12 @@
 
 !======================================================================
-      SUBROUTINE read_rico(fich_rico,nlev_rico,ps_rico,play
-     :             ,ts_rico,t_rico,q_rico,u_rico,v_rico,w_rico
-     :             ,dth_dyn,dqh_dyn)
+      SUBROUTINE read_rico(fich_rico,nlev_rico,ps_rico,play                &
+     &             ,ts_rico,t_rico,q_rico,u_rico,v_rico,w_rico             &
+     &             ,dth_dyn,dqh_dyn)
       implicit none
 
-c-------------------------------------------------------------------------
-c Read RICO forcing data 
-c-------------------------------------------------------------------------
+!-------------------------------------------------------------------------
+! Read RICO forcing data 
+!-------------------------------------------------------------------------
 #include "dimensions.h"
 
@@ -2081,8 +2066,8 @@
           if(prico(l)>play(k)) then
               if(play(k)>prico(l+1)) then
-                zlay(k)=zrico(l)+(play(k)-prico(l)) * 
+                zlay(k)=zrico(l)+(play(k)-prico(l)) *                      &
      &              (zrico(l+1)-zrico(l))/(prico(l+1)-prico(l))
-              else
-                zlay(k)=zrico(l)+(play(k)-prico(80))* 
+              else 
+                zlay(k)=zrico(l)+(play(k)-prico(80))*                      &
      &              (zrico(81)-zrico(80))/(prico(81)-prico(80))
               endif
@@ -2094,11 +2079,11 @@
           u_rico(k)=-9.9 + (-1.9 + 9.9)*zlay(k)/4000
         elseif(4000 < zlay(k) .and. zlay(k) < 12000) then
-       u_rico(k)=  -1.9 + (30.0 + 1.9) / 
-     :          (12000 - 4000) * (zlay(k) - 4000)
+       u_rico(k)=  -1.9 + (30.0 + 1.9) /                                   &
+     &          (12000 - 4000) * (zlay(k) - 4000)
         elseif(12000 < zlay(k) .and. zlay(k) < 13000) then
           u_rico(k)=30.0
         elseif(13000 < zlay(k) .and. zlay(k) < 20000) then
-          u_rico(k)=30.0 - (30.0) / 
-     : (20000 - 13000) * (zlay(k) - 13000)
+          u_rico(k)=30.0 - (30.0) /                                        &
+     & (20000 - 13000) * (zlay(k) - 13000)
         else
           u_rico(k)=0.0
@@ -2109,12 +2094,12 @@
           q_rico(k)=16.0 + (13.8 - 16.0) / (740) * zlay(k)
         elseif(740 < zlay(k) .and. zlay(k) < 3260) then
-          q_rico(k)=13.8 + (2.4 - 13.8) / 
-     :          (3260 - 740) * (zlay(k) - 740)
+          q_rico(k)=13.8 + (2.4 - 13.8) /                                   &
+     &          (3260 - 740) * (zlay(k) - 740)
         elseif(3260 < zlay(k) .and. zlay(k) < 4000) then
-          q_rico(k)=2.4 + (1.8 - 2.4) / 
-     :               (4000 - 3260) * (zlay(k) - 3260)
+          q_rico(k)=2.4 + (1.8 - 2.4) /                                    &
+     &               (4000 - 3260) * (zlay(k) - 3260)
         elseif(4000 < zlay(k) .and. zlay(k) < 9000) then
-          q_rico(k)=1.8 + (0 - 1.8) / 
-     :             (10000 - 4000) * (zlay(k) - 4000)
+          q_rico(k)=1.8 + (0 - 1.8) /                                      &
+     &             (10000 - 4000) * (zlay(k) - 4000)
         else
           q_rico(k)=0.0
@@ -2125,18 +2110,18 @@
           t_rico(k)=299.2 + (292.0 - 299.2) / (740) * zlay(k)
         elseif(740 < zlay(k) .and. zlay(k) < 4000) then
-          t_rico(k)=292.0 + (278.0 - 292.0) /
-     :       (4000 - 740) * (zlay(k) - 740)
+          t_rico(k)=292.0 + (278.0 - 292.0) /                              &                       
+     &       (4000 - 740) * (zlay(k) - 740)
         elseif(4000 < zlay(k) .and. zlay(k) < 15000) then
-          t_rico(k)=278.0 + (203.0 - 278.0) /
-     :       (15000 - 4000) * (zlay(k) - 4000)
+          t_rico(k)=278.0 + (203.0 - 278.0) /                              &
+     &       (15000 - 4000) * (zlay(k) - 4000)
         elseif(15000 < zlay(k) .and. zlay(k) < 17500) then
-          t_rico(k)=203.0 + (194.0 - 203.0) / 
-     :       (17500 - 15000)* (zlay(k) - 15000)
+          t_rico(k)=203.0 + (194.0 - 203.0) /                              & 
+     &       (17500 - 15000)* (zlay(k) - 15000)
         elseif(17500 < zlay(k) .and. zlay(k) < 20000) then
-          t_rico(k)=194.0 + (206.0 - 194.0) /
-     :       (20000 - 17500)* (zlay(k) - 17500)
+          t_rico(k)=194.0 + (206.0 - 194.0) /                              &
+     &       (20000 - 17500)* (zlay(k) - 17500)
         elseif(20000 < zlay(k) .and. zlay(k) < 60000) then
-          t_rico(k)=206.0 + (270.0 - 206.0) / 
-     :        (60000 - 20000)* (zlay(k) - 20000)
+          t_rico(k)=206.0 + (270.0 - 206.0) /                              & 
+     &        (60000 - 20000)* (zlay(k) - 20000)
         endif
 
@@ -2154,9 +2139,9 @@
 ! dThrz+dTsw0+dTlw0
         if(0 < zlay(k) .and. zlay(k) < 4000) then
-          dth_dyn(k)=- 2.51 / 86400 + (-2.18 + 2.51 )/ 
-     :               (86400*4000) * zlay(k)
+          dth_dyn(k)=- 2.51 / 86400 + (-2.18 + 2.51 )/                     &
+     &               (86400*4000) * zlay(k)
         elseif(4000 < zlay(k) .and. zlay(k) < 5000) then
-          dth_dyn(k)=- 2.18 / 86400 + ( 2.18 ) /
-     :           (86400*(5000 - 4000)) * (zlay(k) - 4000)
+          dth_dyn(k)=- 2.18 / 86400 + ( 2.18 ) /                           &
+     &           (86400*(5000 - 4000)) * (zlay(k) - 4000)
         else
           dth_dyn(k)=0.0
